Skip to navigation

Add Git Hub Link

Authentication

AuthorizationBearer

Access token returned by POST /api/auth/login

Path parameters

slugstringRequired
issueIdlongRequired

Request

This endpoint expects an object.
linkTypestringRequiredformat: "PR|COMMIT">=1 character
repoFullNamestringRequiredformat: "[A-Za-z0-9][A-Za-z0-9-]{0,38}/[A-Za-z0-9_.-]{1,100}"0-255 characters
prNumberintegerOptional
prUrlstringOptionalformat: "https://github\.com/.+"0-512 characters
commitShastringOptionalformat: "[0-9a-fA-F]{7,40}"
commitUrlstringOptionalformat: "https://github\.com/.+"0-512 characters
titlestringOptional0-500 characters

Response

OK